<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="300dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:background="@drawable/background_shape_white_radius_8"
        android:padding="24dp">

        <TextView
            android:id="@+id/tv_title"
            style="@style/TextHeadline"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/binding_failed"
            android:textColor="@color/text_primary"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_description"
            style="@style/TextCaption1"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:text="@string/binding_failed_description"
            android:textColor="@color/text_secondary"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_title" />

        <androidx.cardview.widget.CardView
            android:id="@+id/v_current_background"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginTop="16dp"
            app:cardBackgroundColor="@color/ui_container_1"
            app:cardCornerRadius="8dp"
            app:cardElevation="0dp"
            app:layout_constraintBottom_toBottomOf="@id/space_current_bottom"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_description" />

        <TextView
            android:id="@+id/tv_current_title"
            style="@style/TextBody2B"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:layout_marginTop="12dp"
            android:text="@string/current_number"
            android:textColor="@color/text_primary"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@id/v_current_background" />

        <com.gh.gamecenter.common.view.AvatarBorderView
            android:id="@+id/iv_current_avatar"
            android:layout_width="32dp"
            android:layout_height="32dp"
            android:layout_marginStart="12dp"
            android:layout_marginTop="8dp"
            app:border_color="@color/resource_border"
            app:border_width="1dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_current_title" />

        <TextView
            android:id="@+id/tv_current_name"
            style="@style/TextBody2"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:layout_marginEnd="12dp"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:maxLines="1"
            android:textColor="@color/text_primary"
            app:layout_constraintBottom_toTopOf="@id/tv_user_id"
            app:layout_constraintStart_toEndOf="@id/iv_current_avatar"
            app:layout_constraintTop_toTopOf="@id/iv_current_avatar"
            tools:text="用户名称" />

        <TextView
            android:id="@+id/tv_user_id"
            style="@style/TextCaption1"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="2dp"
            android:layout_marginEnd="12dp"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:maxLines="1"
            android:textColor="@color/text_tertiary"
            app:layout_constraintBottom_toBottomOf="@id/iv_current_avatar"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="@id/tv_current_name"
            app:layout_constraintTop_toBottomOf="@id/tv_current_name"
            tools:text="ID:02000200" />

        <Space
            android:id="@+id/space_current_bottom"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/iv_current_avatar" />

        <androidx.cardview.widget.CardView
            android:id="@+id/v_conflict_background"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginTop="8dp"
            app:cardBackgroundColor="@color/ui_container_1"
            app:cardCornerRadius="8dp"
            app:cardElevation="0dp"
            app:layout_constraintBottom_toBottomOf="@id/space_conflict_bottom"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/v_current_background" />

        <TextView
            android:id="@+id/tv_conflict_title"
            style="@style/TextBody2B"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:layout_marginTop="12dp"
            android:text="@string/conflict_number"
            android:textColor="@color/text_primary"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@id/v_conflict_background" />

        <com.gh.gamecenter.common.view.AvatarBorderView
            android:id="@+id/iv_conflict_avatar"
            android:layout_width="32dp"
            android:layout_height="32dp"
            android:layout_marginStart="12dp"
            android:layout_marginTop="8dp"
            app:border_color="@color/resource_border"
            app:border_width="1dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_conflict_title" />

        <TextView
            android:id="@+id/tv_conflict_name"
            style="@style/TextBody2"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:layout_marginEnd="12dp"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:maxLines="1"
            android:textColor="@color/text_primary"
            app:layout_constraintBottom_toTopOf="@id/tv_conflict_user_id"
            app:layout_constraintStart_toEndOf="@id/iv_conflict_avatar"
            app:layout_constraintTop_toTopOf="@id/iv_conflict_avatar"
            tools:text="用户名称" />

        <TextView
            android:id="@+id/tv_conflict_user_id"
            style="@style/TextCaption1"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="12dp"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:maxLines="1"
            android:textColor="@color/text_tertiary"
            app:layout_constraintBottom_toBottomOf="@id/iv_conflict_avatar"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="@id/tv_conflict_name"
            app:layout_constraintTop_toBottomOf="@id/tv_conflict_name"
            tools:text="ID:02000200" />

        <Space
            android:id="@+id/space_conflict_bottom"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/iv_conflict_avatar" />

        <TextView
            android:id="@+id/tv_conflict_problem"
            style="@style/TextCaption1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:text="@string/change_binding_tips_with_conflict"
            android:textColor="@color/text_theme"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/v_conflict_background" />

        <TextView
            android:id="@+id/tv_i_know"
            style="@style/BtnRegularStyle"
            android:layout_width="0dp"
            android:layout_height="40dp"
            android:layout_marginTop="16dp"
            android:background="@drawable/bg_common_button_fill_blue"
            android:text="@string/know"
            android:textColor="@color/text_aw_primary"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_conflict_problem" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</FrameLayout>